<template>
  <tr>
    <td>{{ name }}</td>
    <td>{{ id }}</td>
    <td>
      <router-link :to="{ name: 'categoryEdit', params: { id: id } }" class="btn btn-outline-primary btn-lg btn-block">Modifier</router-link>
    </td>

    <td />
    <td>
      <button class="btn btn-outline-danger btn-lg btn-block" v-on:click="deleteData({ id })">
        Supprimer
      </button>
    </td>
  </tr>
</template>

<script>
export default {
  props: ["id", "name"],
  computed: {
    serviceContactLink() {
      return this.$route.path + "/" + this.id + "/contact"; // /services/c1/contact
    },
    serviceDetailsLink() {
      return this.$route.path + "/" + this.id; // /services/c1
    },
  },
  methods: {
    deleteData(id) {
      this.$store.dispatch("categories/deleteCategorie", id);
      this.$router.replace("/administration/categories");
    },
  },
};
</script>

<style scoped>
.color-hint-button {
  background: teal;
}
</style>